<!DOCTYPE html>
<html lang="en">




<head>
  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1">

  <!-- page title (site.title if page.title doesn't exist) -->
  <title>W7. The way things work</title>

  <!-- site description (appears in Google etc.) or page.excerpt if defined -->
  <meta name="description" content="Aenean lacinia bibendum nulla sed consectetur. Etiam porta sem malesuada magna mollis euismod. Donec ullamcorper nulla non metus auctor fringilla. Vivamus sa...">

  <!-- import our stylesheet -->
  <link href="engaging.css" rel="stylesheet" type="text/css">





  <!-- load favicon -->
  <link rel="shortcut icon" type="image/png" href="/mdef-jekyll-starter/images/favicon.png" />


  <!-- canonical URLs for better SEO -->
  <link rel="
    canonical" href="http://localhost:4000/mdef-jekyll-starter/reflections/biology-zero/">
  <link rel="alternate" type="application/rss+xml" title="MDEF Jekyll starter" href="/mdef-jekyll-starter/feed.xml">
<!-- load css sytle sheet -->

<title> The way things work </title>
  <link href="style.css" rel="stylesheet" type="text/css">

</head>

<body>

  <div class="container">
  <header class="header" role="banner">



 <div class="row" style="text-align: center;">
      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> Home </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/"> About me </a></li>
          <li><a href="https://mdef.gitlab.io/adriana.tamargo/Reflections.html"> Reflections</a></li>
          <li><a href="https://gitlab.com/MDEF/docs/"> Random ideas </a></li>
          <li><a href="https://gitlab.com/MDEF/docs/"> Repository </a></li>

    </div>







  </header>
</div>

  <main class="page-content" aria-label="Content">
    <div class="wrapper">
      <article class="post" itemscope itemtype="http://schema.org/BlogPosting">

  <header class="post-header">
    <h1 class="post-title text-center" itemprop="name headline">07. The way things work</h1>
  </header>

  <div class="container-small">
    <div class="content" itemprop="articleBody">
      <p>For me this week was a very first contact with DIY electronics. My only connection with Arduino was a workshop we took when I was studying my design degree three years ago, so I was almost zero Arduino-maker. After this week I feel confident in learning by my own about sensors and data collecting, sensor networks, and electronic simple machines or installations. One thing I’m very interested in is light-art installations and that’s why I’m especially happy with what I learned this week. After this workshop, I feel able to bring them from my mind to reality.</p>
      <p>Another thing I’m very interested in is in how things work and their traceability, what do I need to make a mobile phone for example, what components do they have, where do they come from, do all the mobile phones have similar components? Why?… For this inquisitiveness, this week was a window towards what can I do on my own to understand better the components of things around me by opening them and questioning their parts.
</p>

      <p>The final project of the week, consisted in a network were Inputs and Outputs were connected randomly. We chose to work in an Output as we all were interested in making a light installation. </p>


<h2 id="subheading-2">DIY Random Lighting Installation</h2>

<p>
After brainstorming for a while we wanted to make an abstract output that combined lights and movement in an abstract way.
</p>
<p>
Some sketches about the ideas:
</p>

<img id="ideas" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\ideas.jpg" width="800"/>

<p>
Final concept:
</p>
<img id="conceptsketch" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\conceptsketch.jpg" width="800"/>


<h3 id="subheading-3">Materials:</h3>

<p> 4 Servo motors </p>
<p> 4 Tree branches (7 cm length aprox.) </p>
<p>A Led strip
s </p>
<p> 2 Arduinos
 </p>
 <p> Transparent Wire
 </p>
 <p>Tape </p>


<h3 id="subheading-3">Some programming with Arduino</h3>

<p>First of all, we programmed the servomotors. In order to create different wave shapes, you can play with different angles and velocities.
</p>
<p>First, we define servomotors we are going to use (4 in our case):
</p>
<img id="code1" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code1.png" width="500"/>

<p>

  After that, we define the variables that will store the servo positions, as well as the maximum angle we want them to go through:

</p>

<img id="code2" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code2.png" width="500"/>

<p>

  Then we initialize the servos :

</p>

<img id="code3" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code3.png" width="800"/>

<p>

  We defined a maximum angle of movement (180º) and then make each servo move at different velocities. The first one went through the defined angel in x seconds while the other ones went through the same path several times in the same amount of time. This way the servos will move with different velocities:

</p>
<img id="code0" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code0.png" width="800"/>

<p>

  This code was made with a learn by doing approach. We were exploring the different movements through rapid prototyping with a wire instead of the led strip. We changed the different positions and the maximum angle depending on the movement we wanted to create.

</p>

<img id="rapidprototype" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\rapidprototype.jpg" width="500"/>


<p>

After this, we coded the lighting. For this, we downloaded the library: https://drive.google.com/open?id=1rCupwU1zuiRC_EsW_RMrd6V-rO1zuUyL, and the type of LED strip used for the exercise was ws2812b.

</p>

<p>

First we defined the variables:

</p>

<img id="code4" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code4.png" width="300"/>
<p>

Then we run the set up:

</p>

<img id="code5" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code5.png" width="800"/>

<p>

Function to make a degradation of color, from white to the selected color.

</p>

<img id="code6" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code6.png" width="800"/>

<p>

Function to change periodicallly the color palette:

</p>

<img id="code7" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code7.png" width="800"/>

<p>

Function to use random colors:

</p>

<img id="code8" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\code8.png" width="800"/>

<p>

There are a lot of ways to change the behaviour of the led stripe, these are some examples we used, but you can play on your own.

</p>

<h5 id="subheading-3">Setting up the installation:</h5>

<p>

We connected the 4 servos horizontally to the Arduino, due to the lack of longer cables we started with a short ones for the prototype but you could use longer cables to connect the servos and make your installation much fancier. Each of the servos was connected to a different pin on the Arduino that had different velocities of movement. This Arduino was not connected to the internet, it was just connected to a power supply so we could switch it on and off.

</p>

<p>

We connected each servomotor to a branch. After that, we hanged a transparent wire from each branch to the led strip. We played with the length of the wires so the light will make different waves. You could also try the result with the same length in every wire.

</p>

<p>

We connected the led strip to another Arduino that had to be connected to the Internet so it could receive the input from another device in the classroom and one itself.

</p>

<h3 id="subheading-3">Connecting the Arduino to the classroom network:</h3>

<p>

1.	Connect the internet chip to the Arduino plaque.

</p>

<p>

2. Select the card manager: Tools / Plaques / Card Manager.

</p>

<p>

3.	Install the card manager, in this case Esp8266 Community.

</p>

<p>

4.	Go to Tools / Library Manager.

</p>

<p>

5.	Install Pubsub.

</p>

<p>

6.	Select the new plaque: Tools / Plaque / NodeMCU.

</p>

<p>

7.	Run examples to try if the connection worked: Files / Examples / Subpub / mqtt_esp8266.

</p>

<p>

8.	Modify the network information:  ssid  = “Sensors NetworkW”, password = “sensors4ever”, mqtt_server = “192-168-2-227”.


</p>

<h3 id="subheading-3">Final result</h3>

<img id="final1" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\final1.jpeg" width="800"/>

<p>

Due to lack of time we had to set up the led strip circularly because we didn’t have the time to connect it to two different points. The result then was a bit more strange than we expected, as the design we had in mind was an horizontal wave and not a circular one. In the result was a bit weird and crazy, but we had so much fun making it.

</p>

<img id="final2" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\final2.jpeg" width="800"/>

<p>

  An idea we had after this first prototype was to make an installation that had only two sers (one in each side of the led strip) and make it spin at different velocities with different lighting options. It will create a shape because of the revolution of the wire, and could be a nice installation.

</p>

<h2 id="subheading-2">Future work</h2>

<p>

  ⦁	Continue learning Arduino by creating abstract light installations.

</p>

<p>

  ⦁	Start learning Raspberry Pi.

</p>

<p>

⦁	Experiment at home with different inputs and outputs. Design something for my cat :)
</p>

<p>

⦁	Challenge myself to start making electronic devices, such as speakers or not very difficult ones in the beginning, instead of buying them.
</p>

<img id="lighting" src="C:\Users\adrit_000\Documents\adriana.tamargo\public\images\theway\lighting.gif" width="800"/>

    </div>

  </div>



</article>
    </div>
  </main>

  <footer class="footer">

 <div class="row" style="text-align: center;">

      <ul class="main-nav">
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/extendedintelligence.html"> Previous post </a></li>
        <li><a href="https://mdef.gitlab.io/adriana.tamargo/Engagingnarratives.html"> Next post </a></li>
        <li><h5>adriana.tamargo@iaac.net</h5></li>
          
    </div>

  </div>

    <div class="row" style="text-align: left;">

  </div>

</footer>

</body>

</html>
